
QGIS Application - Bug report #17610

Frozen on Coordinate System Window

2017-12-03 12:14 PM - Tomasz Nycz

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: xUbuntu 17.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25507

Description

After starting QGIS master, trying to change project CRS. Open window with right-down button and QGIS freezes.

Thread 1 "qgis.bin" received signal SIGSEGV, Segmentation fault.

0x00007f2c52dd50f7 in QList<QgsExpressionFieldBuffer::ExpressionField>::QList (this=0x5564933ad9d0, l=...) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:807

807    /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h: Nie ma takiego pliku ani katalogu.

Some backtrace included.

History

#1 - 2017-12-04 10:08 AM - Richard Duivenvoorde

could be related to other crs issue: #17589 and maybe even #17600 ?

#2 - 2017-12-04 10:14 AM - Patrick Dunford

- File Screenshot_2017-12-04_22-11-57.png added

Pretty much is what I get on Xubuntu 17.10, see attached

How do I get the core dump to send in?

patrick@Vbox-XubuntuArtful:~$ qgis

../../src/app/main.cpp: 454: (main) [0ms] Starting qgis main

    -  (qgis.bin:2349): WARNING : Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-bpuwI7oEU6: Connection

refused

WARNING: Auth db query exec() FAILED

WARNING: Auth db query exec() FAILED

Warning: Duplicate shortcut registered: Graphical &Modeler...

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x559287af131e]

/usr/bin/qgis.bin(+0xc82a)[0x559287af182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f8ebec3d61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f8ebec3e3ee]

/usr/lib/libqgis_core.so.2.99.0(QgsLogger::warning(QString const&)+0x81)[0x7f8ec09c99e1]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAction(QAction*, QString const&)+0x17b)[0x7f8ebc65c527]
/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildActions(QObject*, bool)+0x250)[0x7f8ebc65bed6]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildren(QObject*, bool)+0x2c)[0x7f8ebc65bc6c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,

QFlags<Qt::WindowType>)+0x6658)[0x7f8ec17f03a2]

/usr/bin/qgis.bin(+0x11d85)[0x559287af6d85]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xf1)[0x7f8ebe24c1c1]

/usr/bin/qgis.bin(_start+0x2a)[0x559287aef05a]

Warning: Duplicate shortcut registered: &History...

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x559287af131e]

/usr/bin/qgis.bin(+0xc82a)[0x559287af182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f8ebec3d61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f8ebec3e3ee]

/usr/lib/libqgis_core.so.2.99.0(QgsLogger::warning(QString const&)+0x81)[0x7f8ec09c99e1]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAction(QAction*, QString const&)+0x17b)[0x7f8ebc65c527]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildActions(QObject*, bool)+0x250)[0x7f8ebc65bed6]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildren(QObject*, bool)+0x2c)[0x7f8ebc65bc6c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,

QFlags<Qt::WindowType>)+0x6658)[0x7f8ec17f03a2]

/usr/bin/qgis.bin(+0x11d85)[0x559287af6d85]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xf1)[0x7f8ebe24c1c1]

/usr/bin/qgis.bin(_start+0x2a)[0x559287aef05a]

WARNING: Auth db query exec() FAILED

WARNING: Auth db query exec() FAILED

WARNING: Auth db query exec() FAILED

Warning: link O hasn't been detected!

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x559287af131e]

/usr/bin/qgis.bin(+0xc82a)[0x559287af182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f8ebec3d61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f8ebec3e3ee]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(+0x227c7)[0x7f8eb7fa87c7]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgHandler::startElement(QString const&, QXmlStreamAttributes

const&)+0x74b)[0x7f8eb7fb3d5b]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgHandler::parse()+0x1ca)[0x7f8eb7fb65aa]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgHandler::init()+0xcb)[0x7f8eb7fb67bb]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgTinyDocument::load(QString const&)+0x278)[0x7f8eb7fc3eb8]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgRenderer::load(QString const&)+0x3b)[0x7f8eb7fc4b3b]

/usr/lib/x86_64-linux-gnu/qt5/plugins/iconengines/libqsvgicon.so(+0x514c)[0x7f8e8ac2714c]

/usr/lib/x86_64-linux-gnu/qt5/plugins/iconengines/libqsvgicon.so(+0x3349)[0x7f8e8ac25349]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(+0x186b82)[0x7f8ebf477b82]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::addFile(QString const&, QSize const&, QIcon::Mode,

QIcon::State)+0x14d)[0x7f8ebf47c9bd]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::QIcon(QString const&)+0x33)[0x7f8ebf47cb43]

/usr/lib/libqgis_app.so.2.99.0(QgsOptions::QgsOptions(QWidget*, QFlags<Qt::WindowType>, QList<QgsOptionsWidgetFactory*>

const&)+0xcd02)[0x7f8ec1af91d8]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::showOptionsDialog(QWidget*, QString const&)+0x1ec)[0x7f8ec184452c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::options()+0x3f)[0x7f8ec1844183]

/usr/lib/libqgis_app.so.2.99.0(+0x2c98be)[0x7f8ec18ce8be]

/usr/lib/libqgis_app.so.2.99.0(+0x2c3ba3)[0x7f8ec18c8ba3]

Warning: link O hasn't been detected!

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x559287af131e]
/usr/bin/qgis.bin(+0xc82a)[0x559287af182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f8ebec3d61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f8ebec3e3ee]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(+0x227c7)[0x7f8eb7fa87c7]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgHandler::startElement(QString const&, QXmlStreamAttributes

const&)+0x74b)[0x7f8eb7fb3d5b]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgHandler::parse()+0x1ca)[0x7f8eb7fb65aa]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgHandler::init()+0xcb)[0x7f8eb7fb67bb]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgTinyDocument::load(QString const&)+0x278)[0x7f8eb7fc3eb8]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgRenderer::load(QString const&)+0x3b)[0x7f8eb7fc4b3b]

/usr/lib/x86_64-linux-gnu/qt5/plugins/iconengines/libqsvgicon.so(+0x514c)[0x7f8e8ac2714c]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::addFile(QString const&, QSize const&, QIcon::Mode,

QIcon::State)+0x88)[0x7f8ebf47c8f8]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::QIcon(QString const&)+0x33)[0x7f8ebf47cb43]

/usr/lib/libqgis_app.so.2.99.0(QgsOptions::QgsOptions(QWidget*, QFlags<Qt::WindowType>, QList<QgsOptionsWidgetFactory*>

const&)+0xcd02)[0x7f8ec1af91d8]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::showOptionsDialog(QWidget*, QString const&)+0x1ec)[0x7f8ec184452c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::options()+0x3f)[0x7f8ec1844183]

/usr/lib/libqgis_app.so.2.99.0(+0x2c98be)[0x7f8ec18ce8be]

/usr/lib/libqgis_app.so.2.99.0(+0x2c3ba3)[0x7f8ec18c8ba3]

/usr/lib/libqgis_app.so.2.99.0(+0x2b8d19)[0x7f8ec18bdd19]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void)+0x97f)[0x7f8ebee609ff]

Warning: Cannot open file ':/images/flags/zh-Hans.svg', because: No such file or directory

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x559287af131e]

/usr/bin/qgis.bin(+0xc82a)[0x559287af182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f8ebec3d61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f8ebec3e3ee]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgTinyDocument::load(QString const&)+0x1dc)[0x7f8eb7fc3e1c]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgRenderer::load(QString const&)+0x3b)[0x7f8eb7fc4b3b]

/usr/lib/x86_64-linux-gnu/qt5/plugins/iconengines/libqsvgicon.so(+0x514c)[0x7f8e8ac2714c]

/usr/lib/x86_64-linux-gnu/qt5/plugins/iconengines/libqsvgicon.so(+0x3349)[0x7f8e8ac25349]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(+0x186b82)[0x7f8ebf477b82]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::addFile(QString const&, QSize const&, QIcon::Mode, QIcon::State)+0x14d)[0x7f8ebf47c9bd]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::QIcon(QString const&)+0x33)[0x7f8ebf47cb43]

/usr/lib/libqgis_app.so.2.99.0(QgsOptions::QgsOptions(QWidget*, QFlags<Qt::WindowType>, QList<QgsOptionsWidgetFactory*>

const&)+0xcd02)[0x7f8ec1af91d8]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::showOptionsDialog(QWidget*, QString const&)+0x1ec)[0x7f8ec184452c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::options()+0x3f)[0x7f8ec1844183]

/usr/lib/libqgis_app.so.2.99.0(+0x2c98be)[0x7f8ec18ce8be]

/usr/lib/libqgis_app.so.2.99.0(+0x2c3ba3)[0x7f8ec18c8ba3]

/usr/lib/libqgis_app.so.2.99.0(+0x2b8d19)[0x7f8ec18bdd19]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x97f)[0x7f8ebee609ff]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAction::triggered(bool)+0x42)[0x7f8ebfba5d82]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAction::activate(QAction::ActionEvent)+0xcc)[0x7f8ebfba846c]

Warning: Cannot open file ':/images/flags/zh-Hans.svg', because: No such file or directory

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x559287af131e]

/usr/bin/qgis.bin(+0xc82a)[0x559287af182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f8ebec3d61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f8ebec3e3ee]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgTinyDocument::load(QString const&)+0x1dc)[0x7f8eb7fc3e1c]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgRenderer::load(QString const&)+0x3b)[0x7f8eb7fc4b3b]
/usr/lib/x86_64-linux-gnu/qt5/plugins/iconengines/libqsvgicon.so(+0x514c)[0x7f8e8ac2714c]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::addFile(QString const&, QSize const&, QIcon::Mode, QIcon::State)+0x88)[0x7f8ebf47c8f8]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::QIcon(QString const&)+0x33)[0x7f8ebf47cb43]

/usr/lib/libqgis_app.so.2.99.0(QgsOptions::QgsOptions(QWidget*, QFlags<Qt::WindowType>, QList<QgsOptionsWidgetFactory*>

const&)+0xcd02)[0x7f8ec1af91d8]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::showOptionsDialog(QWidget*, QString const&)+0x1ec)[0x7f8ec184452c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::options()+0x3f)[0x7f8ec1844183]

/usr/lib/libqgis_app.so.2.99.0(+0x2c98be)[0x7f8ec18ce8be]

/usr/lib/libqgis_app.so.2.99.0(+0x2c3ba3)[0x7f8ec18c8ba3]

/usr/lib/libqgis_app.so.2.99.0(+0x2b8d19)[0x7f8ec18bdd19]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x97f)[0x7f8ebee609ff]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAction::triggered(bool)+0x42)[0x7f8ebfba5d82]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAction::activate(QAction::ActionEvent)+0xcc)[0x7f8ebfba846c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x2a8e1c)[0x7f8ebfd00e1c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x2b018b)[0x7f8ebfd0818b]

Warning: Cannot open file ':/images/flags/zh-Hant.svg', because: No such file or directory

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x559287af131e]

/usr/bin/qgis.bin(+0xc82a)[0x559287af182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f8ebec3d61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f8ebec3e3ee]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgTinyDocument::load(QString const&)+0x1dc)[0x7f8eb7fc3e1c]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgRenderer::load(QString const&)+0x3b)[0x7f8eb7fc4b3b]

/usr/lib/x86_64-linux-gnu/qt5/plugins/iconengines/libqsvgicon.so(+0x514c)[0x7f8e8ac2714c]

/usr/lib/x86_64-linux-gnu/qt5/plugins/iconengines/libqsvgicon.so(+0x3349)[0x7f8e8ac25349]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(+0x186b82)[0x7f8ebf477b82]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::addFile(QString const&, QSize const&, QIcon::Mode, QIcon::State)+0x14d)[0x7f8ebf47c9bd]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::QIcon(QString const&)+0x33)[0x7f8ebf47cb43]

/usr/lib/libqgis_app.so.2.99.0(QgsOptions::QgsOptions(QWidget*, QFlags<Qt::WindowType>, QList<QgsOptionsWidgetFactory*>

const&)+0xcd02)[0x7f8ec1af91d8]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::showOptionsDialog(QWidget*, QString const&)+0x1ec)[0x7f8ec184452c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::options()+0x3f)[0x7f8ec1844183]

/usr/lib/libqgis_app.so.2.99.0(+0x2c98be)[0x7f8ec18ce8be]

/usr/lib/libqgis_app.so.2.99.0(+0x2c3ba3)[0x7f8ec18c8ba3]

/usr/lib/libqgis_app.so.2.99.0(+0x2b8d19)[0x7f8ec18bdd19]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x97f)[0x7f8ebee609ff]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAction::triggered(bool)+0x42)[0x7f8ebfba5d82]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAction::activate(QAction::ActionEvent)+0xcc)[0x7f8ebfba846c]

Warning: Cannot open file ':/images/flags/zh-Hant.svg', because: No such file or directory

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x559287af131e]

/usr/bin/qgis.bin(+0xc82a)[0x559287af182a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7f8ebec3d61a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7f8ebec3e3ee]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgTinyDocument::load(QString const&)+0x1dc)[0x7f8eb7fc3e1c]

/usr/lib/x86_64-linux-gnu/libQt5Svg.so.5(QSvgRenderer::load(QString const&)+0x3b)[0x7f8eb7fc4b3b]

/usr/lib/x86_64-linux-gnu/qt5/plugins/iconengines/libqsvgicon.so(+0x514c)[0x7f8e8ac2714c]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::addFile(QString const&, QSize const&, QIcon::Mode, QIcon::State)+0x88)[0x7f8ebf47c8f8]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QIcon::QIcon(QString const&)+0x33)[0x7f8ebf47cb43]

/usr/lib/libqgis_app.so.2.99.0(QgsOptions::QgsOptions(QWidget*, QFlags<Qt::WindowType>, QList<QgsOptionsWidgetFactory*>

const&)+0xcd02)[0x7f8ec1af91d8]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::showOptionsDialog(QWidget*, QString const&)+0x1ec)[0x7f8ec184452c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::options()+0x3f)[0x7f8ec1844183]
/usr/lib/libqgis_app.so.2.99.0(+0x2c98be)[0x7f8ec18ce8be]

/usr/lib/libqgis_app.so.2.99.0(+0x2c3ba3)[0x7f8ec18c8ba3]

/usr/lib/libqgis_app.so.2.99.0(+0x2b8d19)[0x7f8ec18bdd19]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x97f)[0x7f8ebee609ff]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAction::triggered(bool)+0x42)[0x7f8ebfba5d82]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAction::activate(QAction::ActionEvent)+0xcc)[0x7f8ebfba846c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x2a8e1c)[0x7f8ebfd00e1c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x2b018b)[0x7f8ebfd0818b]

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

patrick@Vbox-XubuntuArtful:~$

#3 - 2017-12-04 10:21 AM - Patrick Dunford

- File qgis17610.mp4 added

See attached

#4 - 2017-12-04 11:18 AM - Patrick Dunford

On a brand new Xubuntu VM you don't get all that extra output, or a coredump. The terminal output looks exactly the same as the Debian VMs, and no

details of why it crashed.

Since I can't find the core dump file, I'm uploading my VM at the moment. Will send a link once it's available.

#5 - 2017-12-04 12:26 PM - Patrick Dunford

VM available for testing (Xubuntu 17.10)

https://my.pcloud.com/publink/show?code=kZAfT57Z0doVKojjEQ4dvJQfYAmsOQpolq4k

username patrick

password password

#6 - 2017-12-07 09:18 AM - Alessandro Pasotti

Tested latest master today: cannot reproduce

#7 - 2017-12-11 07:26 PM - Patrick Dunford

I can, though.
#8 - 2017-12-12 06:34 AM - Tomasz Nycz

Me too.

I've observed anthoer thing that maybe correlated.

If I try to open GeoTIFF with no CRS defined, QGIS opens CRS window and than crashes. On Project Properties same, on GDAL Georeferencer same.

#9 - 2017-12-12 07:07 AM - Frank Sokolic

I also get a crash on QGIS Master, Ubuntu 17.10, when opening a shapefile that doesn't have a prj file, i.e. there is no CRS defined for the shapefile.

#10 - 2017-12-17 04:22 PM - Tomasz Nycz

- File qgis_crs_crash.txt added

As a new track: Started QGIS from terminal. Open CRS settings, for example in Project Settings. 

And terminal output says that:

/usr/bin/qgis.bin(_start+0x2a)[0x55e1a913256a]

ERROR 6: EPSG PCS/GCS code 37004 not found in EPSG support files.  Is this a valid EPSG coordinate system?

QGIS died on signal 11[New LWP 6871]

before it throws backtrace (attached in txt file).

QGIS revision: commit:be8d1d7

#11 - 2017-12-23 01:01 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

Just to be clear, "I cannot reproduce" does mean exactly that: it does not mean that the bug is not there or that nobody else can reproduce it.

It's a concise way to say: "I spent some (volunteer) time to look at this bug and I was not able to reproduce it, so I couldn't fix it, please give some more

details and somebody (possibly me) will try again to see if there is a way to fix it".

The latest attached stacktrace is a good lead to discover where the problem might be, thanks for attaching it.

#12 - 2017-12-23 06:12 PM - Tomasz Nycz

I don't have idea how to provide more details. But will try to help, if somebody ask for checking anything to reproduce bug.

#13 - 2017-12-24 03:09 PM - Antal Kosza

- File qgis_dbg_debian_stretch.txt added

Same procedure here, the same result on Debian Stretch.
#14 - 2017-12-27 03:28 PM - Randal Hale

Going back to 17662

If I start qgis 3.0 and immediately add data that changes the CRS from 4326 to something else - it doesn't crash. I can work and add more data - BUT - I

can't change the CRS to anything except what that first dataset is in - or it crashes. So progress! - Build e16dfe4.

#15 - 2018-01-04 04:56 AM - Mathieu Pellerin - nIRV

- Status changed from Open to Feedback

Tomasz, a fix was committed to master yesterday which hopefully has dealt with this crash. Can you confirm the crash you suffered from his gone?

Thanks.

#16 - 2018-01-04 09:10 AM - Tomasz Nycz

QGIS revision 6508543

Problem still exists. I'll wait till tommorow and try with next nightly build.

Thanks for you involvement :)

#17 - 2018-01-04 09:21 AM - Mathieu Pellerin - nIRV

Tomasz, indeed, that revision does not include the fix yet.

#18 - 2018-01-04 11:54 AM - Tomasz Nycz

I've checked in debian-nightly repository of QGIS. For Ubuntu Zesty there's fresh packages set (04.01.2018), for Artful packages as from 01.01.2018. Ok,

I will give feedback, ASAP ;)

#19 - 2018-01-04 04:19 PM - Antal Kosza

Mathieu Pellerin - nIRV wrote:

Tomasz, a fix was committed to master yesterday which hopefully has dealt with this crash. Can you confirm the crash you suffered from his gone?

Thanks.

YES. The crash is gone. QGIS d69f932 (Debian Stretch, nightly build). Thank you!

#20 - 2018-01-05 03:12 AM - Mathieu Pellerin - nIRV

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Files

gdb-qgis.txt 31.7 KB 2017-12-03 Tomasz Nycz

Screenshot_2017-12-04_22-11-57.png 95.8 KB 2017-12-04 Patrick Dunford
qgis17610.mp4 2.32 MB 2017-12-04 Patrick Dunford

qgis_crs_crash.txt 30.2 KB 2017-12-17 Tomasz Nycz

qgis_dbg_debian_stretch.txt 17.9 KB 2017-12-24 Antal Kosza
